CXX=g++
CXXFLAGS=
LDFLAGS=-lSDL2
INC=
LIB=

EXEC=GlApp
SRC=$(shell find . -name '*.cpp')
OBJ=$(SRC:.cpp=.o)

$(EXEC): $(OBJ)
	@mkdir -p bin
	$(CXX) -o bin/$@ $^ $(LDFLAGS) $(LIB)

%.o : %.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS) $(INC)

clean:
	rm -rf $(OBJ)

distclean: clean
	rm -rf ./bin

exec: $(EXEC)
	./bin/$(EXEC)
